cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vladimir Kotikov (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-6615) Plugman fails when try to add plugin with specific version dependencies
Date Tue, 27 May 2014 09:01:15 GMT

    [ https://issues.apache.org/jira/browse/CB-6615?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14009515#comment-14009515
] 

Vladimir Kotikov commented on CB-6615:
--------------------------------------

Moved to cordova-lib. new PR: https://github.com/apache/cordova-lib/pull/13

> Plugman fails when try to add plugin with specific version dependencies
> -----------------------------------------------------------------------
>
>                 Key: CB-6615
>                 URL: https://issues.apache.org/jira/browse/CB-6615
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI, Plugman
>            Reporter: Vladimir Kotikov
>
> Repro steps:
> # Create new Cordova project
> # Add any plugin
> # Add following tag to plugin.xml
> {noformat}
> <dependency id="org.apache.cordova.file@1.0.0" />
> {noformat}
> # Add any platform.
> Expected: The project should download and install dependent plugin with version 1.0.0
> Actual: The build generates the following output and error:
> {noformat}
> Error 47 Expected fetched plugin to have ID "org.apache.cordova.file@1.0.0" but got "org.apache.cordova.file".

> {noformat}
> Related: CB-4809



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message